Fabric Operations Status - Get
Hiermee haalt u de status van de infrastructuurbewerking op.
Hiermee worden de resultaten van een asynchrone bewerking op de infrastructuur bijgehouden.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataReplication/replicationFabrics/{fabricName}/operations/{operationId}?api-version=2021-02-16-preview
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
fabric
|
path | True |
string pattern: ^[a-zA-Z0-9]*$ |
De naam van de infrastructuur. |
|
operation
|
path | True |
string minLength: 1 |
De id van een doorlopende asynchrone bewerking. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Geslaagd |
|
| Other Status Codes |
Fout |
Beveiliging
azure_auth
Azure Active Directory OAuth2-stroom
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
FabricOperationsStatus_Get
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/930CEC23-4430-4513-B855-DBA237E2F3BF/resourceGroups/rgrecoveryservicesdatareplication/providers/Microsoft.DataReplication/replicationFabrics/wPR/operations/dvfwerv?api-version=2021-02-16-preview
Voorbeeldrespons
{
"id": "sf",
"name": "wzdasptnwlxgobklayoqapjcgcf",
"status": "plbnngzfppdram",
"startTime": "xuzwmfrhluafmwwsmzqxsytyehsh",
"endTime": "nauyrfh"
}
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Operation |
Hiermee definieert u de bewerkingsstatus. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
OperationStatus
Hiermee definieert u de bewerkingsstatus.
| Name | Type | Description |
|---|---|---|
| endTime |
string |
Hiermee haalt u de eindtijd op of stelt u deze in. |
| id |
string |
Hiermee haalt u de id op of stelt u deze in. |
| name |
string |
Hiermee haalt u de naam van de bewerking op of stelt u deze in. |
| startTime |
string |
Hiermee haalt u de begintijd op of stelt u deze in. |
| status |
string |
Hiermee haalt u de status van de bewerking op of stelt u deze in. ARM verwacht dat de terminalstatus een van Geslaagd/Mislukt/Geannuleerd is. Alle andere waarden impliceren dat de bewerking nog steeds wordt uitgevoerd. |